All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
tql2.hpp File Reference

Implementation of the tql2-algorithm for eigenvalue computations. More...

`#include "viennacl/vector.hpp"`
`#include "viennacl/matrix.hpp"`
`#include <iomanip>`
`#include "viennacl/linalg/qr-method-common.hpp"`
`#include "viennacl/linalg/prod.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.

## Functions

template<typename SCALARTYPE , typename VectorType >
void | viennacl::linalg::tql1 (vcl_size_t n, VectorType &d, VectorType &e)
template<typename SCALARTYPE , typename VectorType , typename F >
void | viennacl::linalg::tql2 (matrix_base< SCALARTYPE, F > &Q, VectorType &d, VectorType &e)

## Detailed Description

Implementation of the tql2-algorithm for eigenvalue computations.

Definition in file tql2.hpp.